# ElectroMechanicalDrives

Modelica library for the simulation of electromechanical drives such as:

- Electric vehicles
- Electric railway vehicles
- Industrial drives
- Machine tools

![ElectroMechanicalDrives library](https://github.com/christiankral/ElectroMechanicalDrives/blob/master/ElectroMechanicalDrives/Resources/Images/VehicleDriveCyle.png?raw=true)

This library enables the investigation of the operational behaviour of electric drives and the dimensioning electric drive components.

The library provides:
- Vehicle with
  - Aerodynamic friction
  - Rolling friction
  - Inclination of road
  - Optional electrical drive
- Linear, symmetric and chargeable battery model, parameterized by cut off voltage, charge voltage, energy
- Ideal DC/DC converter with no loss
- Simplified DC machine model with field weakening capability
- Ideal mechanical machines with field weakening capabilities
- Translational and rotational friction models
- Translational and rotational constant friction models

# License

This library is published under the [BSD-3-Clause](https://opensource.org/licenses/BSD-3-Clause).

# Development and contribution

The library was developed to provide course material at the [TGM](http://www.tgm.ac.at), Wexstraße 19-23, 1200 Vienna, Austria. Library authors is [Christian Kral](https://christiankral.net).

# Contact

e-mail: dr.christian.kral(at)gmail.com
